Package org.eclipse.birt.report.model.api.command

# Class EncryptionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.eclipse.birt.core.exception.BirtException
org.eclipse.birt.report.model.api.ModelException
org.eclipse.birt.report.model.api.activity.SemanticException
org.eclipse.birt.report.model.api.command.EncryptionException

All Implemented Interfaces:
  `Serializable`

public class EncryptionException extends SemanticException
Indicates an error when setting the name of an element.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DESIGN_EXCEPTION_INVALID_ENCRYPTABLE_PROPERTY`
Error code indicating the property is not encryptable but wanna set encryption.
`static final String`
`DESIGN_EXCEPTION_INVALID_ENCRYPTION`
Error code indicating the property is not encryptable but wanna set encryption.

### Fields inherited from class org.eclipse.birt.report.model.api.activity.SemanticException

`DESIGN_EXCEPTION__EXPORT_ELEMENT_FAIL, element`

### Fields inherited from class org.eclipse.birt.report.model.api.ModelException

`PLUGIN_ID`

### Fields inherited from class org.eclipse.birt.core.exception.BirtException

`CANCEL, ERROR, INFO, oaMessageArguments, OK, pluginId, rb, severity, sResourceKey, WARNING`

## Constructor Summary

Constructors
Constructor
Description
`EncryptionException(org.eclipse.birt.report.model.core.DesignElement obj, String errCode, String[] args)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getLocalizedMessage()`

### Methods inherited from class org.eclipse.birt.report.model.api.activity.SemanticException

`getElement, getElementName, getMessage`

### Methods inherited from class org.eclipse.birt.core.exception.BirtException

`getErrorCode, getLocalizedMessage, getPluginId, getSeverity, setSeverity`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### DESIGN_EXCEPTION_INVALID_ENCRYPTABLE_PROPERTY

public static final String DESIGN_EXCEPTION_INVALID_ENCRYPTABLE_PROPERTY
Error code indicating the property is not encryptable but wanna set encryption.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_INVALID_ENCRYPTION

public static final String DESIGN_EXCEPTION_INVALID_ENCRYPTION
Error code indicating the property is not encryptable but wanna set encryption.

See Also:
  - Constant Field Values

## Constructor Details

### EncryptionException

public EncryptionException(org.eclipse.birt.report.model.core.DesignElement obj, String errCode, String[] args)
Constructor.

Parameters:
  `obj` - the element being changed.
  `errCode` - what went wrong.
  `args` -
  `str` - the name that caused the error.

## Method Details

### getLocalizedMessage

public String getLocalizedMessage()

Overrides:
  `getLocalizedMessage` in class `SemanticException`